Redmine - Defect #10163

Spent Time Permissions Issue - Cannot access them at all

2012-02-07 06:00 - Martin Kovachev

Status: Closed

Priority: Normal

Assignee:

Category: Permissions and roles

Target version:

Resolution: Cant reproduce

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

I am having an issue with Spent Time reports - the system refuses to give me access to the pages (/timelog/details, /timelog/report).

| have given all the necessary access to a Role called: Project Manager.

Please see the attached screenshots.
I've also got all the logs possible when opening the page below:

MySQL Version: 5.5.6
Redmine version: 1.2.1.stable
SVN version: 1.6.15
Ruby version
RubyGems version
Rack version 1.1

Rails version 2.3.11
Active Record version 2.3.11
Active Resource version 2.3.11

1.8.7 (x86_64-linux)
137

Action Mailer version  2.3.11

Active Support version 2.3.11

Edge Rails revision unknown

Application root /opt/redmine/redmine-1.2.1
Environment production

Database adapter mysq|

Database schema version 20110511000000

About your Redmine plugins

Redmine Light Box plugin 0.0.1
DMSF 0.9.2
Knowledgebase 0.3.2-devel
Redmine Diff Email Plugin 0.0.4
Redmine All Time Team plugin 0.3.1

Redmine Extended Spent Time plugin 0.0.2
Advanced reminder 0.0.1
Redmine Better Gantt Chart plugin 0.5.3
Download button 0.0.2

redmine ics export plugin (aka redmics) 1.1.0
Mylyn Connector plugin 2.7.2.stable
Redmine Chuck Norris plugin 0.0.3

--- Logs ---

Processing TimelogController#report (for 127.0.0.1 at 2012-02-07 06:54:06) [GET]
Parameters: {"project_id"=>"st-backend", "action"=>"report", "controller"=>"timelog"}

Rendering template within layouts/base
Rendering common/error (403)
Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 32ms (View: 29, DB: 0) | 403 Forbidden [http://xxx/projects/st-backend/timelog/report]

--- Debug Logs ---

Processing TimelogController#report (for 127.0.0.1 at 2012-02-07 06:57:14) [GET]
http://xxx/projects/st-backend/timelog/report

Parameters: {"project_id"=>"st-backend", "action"=>"report", "controller"=>"timelog"}

SQL (0.1ms) SELECT max( settings .updated_on) AS max_updated_on FROM "settings’

User Load (0.1ms) SELECT * FROM ‘users WHERE (‘users™.’id" = 7) AND (users.status = 1) AND ( (‘users’.'type" = 'User' OR
‘users’.’type” = 'AnonymousUser') )

Rendering template within layouts/base

Rendering common/error (403)

UserPreference Load (0.1ms) SELECT * FROM "user_preferences” WHERE ("user_preferences’.user_id = 7) LIMIT 1

Member Load Including Associations (0.3ms) SELECT ‘'members’."id” AS t0_r0, ‘members’. user_id" AS t0_r1,
“members’."project_id" AS t0_r2, ‘members’.’created_on" AS t0_r3, 'members’."mail_notification™ AS t0_r4,
“members’."dmsf_mail_notification” AS t0_r5, “projects’.’id” AS t1_r0, "projects’.'name’ AS t1_r1, “projects’. description” AS t1_r2,
“projects’."homepage” AS t1_r3, "projects’.’is_public’ AS t1_r4, "projects’. parent_id" AS t1_r5, "projects’. created_on™ AS t1_r6,
‘projects’."updated_on" AS t1_r7, "projects’. identifier’ AS t1_r8, "projects’. status™ AS t1_r9, "projects’.’Ift” AS t1_r10, "projects’. rgt’
AS t1_r11, “projects’."dmsf_description™ AS t1_r12, ‘roles’.’id" AS t2_r0, ‘roles’.’name” AS t2_r1, “roles’."position™ AS t2_r2,
‘roles’."assignable” AS t2_r3, ‘roles’. builtin® AS t2_r4, “roles’."permissions” AS t2_r5, ‘roles . issues_visibility" AS t2_r6 FROM
‘members’ LEFT OUTER JOIN “projects” ON “projects’.id = ‘members’.project_id LEFT OUTER JOIN "'member_roles” ON
(‘members’."id” = ‘member_roles’."member_id") LEFT OUTER JOIN “roles’ ON (‘roles’.’id" = ‘'member_roles’.’role_id") WHERE
(‘members’.user_id = 7 AND (projects.status=1)) ORDER BY projects.name

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 32ms (View: 29, DB: 1) | 403 Forbidden [http://xxx/projects/st-backend/timelog/report]

History

#1 - 2012-02-07 06:01 - Martin Kovachev

- File Screen Shot 2012-02-07 at 06.47.09.png added
- File Screen Shot 2012-02-07 at 06.47.12.png added
- File Screen Shot 2012-02-07 at 06.48.07.png added
- File Screen Shot 2012-02-07 at 06.47.51.png added
- File Screen Shot 2012-02-07 at 06.49.03.png added

#2 - 2012-04-14 02:16 - Sak Tuy

Hi Martin, | have the same problem as you, but | am using redmine 1.3. | upgraded from 1.1.2 straight to 1.3. | noticed in 1.1, the URL for the time
entry reports was .../time_entries/report so | tried that in 1.3 and it worked. If you are still having this problem try that old URL and see if it works for
you.

#3 - 2020-12-12 06:50 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Cant reproduce

Files

Screen Shot 2012-02-07 at 06.47.09.png 5.03 KB 2012-02-07 Martin Kovachev
Screen Shot 2012-02-07 at 06.47.12.png 5.55 KB 2012-02-07 Martin Kovachev
Screen Shot 2012-02-07 at 06.48.07.png 93 KB 2012-02-07 Martin Kovachev
Screen Shot 2012-02-07 at 06.47.51.png 2.95 KB 2012-02-07 Martin Kovachev
Screen Shot 2012-02-07 at 06.49.03.png 16.7 KB 2012-02-07 Martin Kovachev
